<?

sapp_include_once('common.php');
?>

<script type="text/javascript">
<!--
	
	function install_prefix_cH(f)
	{
		if (!f.install_dir.value){
			f.install_prefix.value = "<?=htmlspecialchars(sapp_get_install_prefix())?>";
		} else
			f.install_prefix.value = f.install_dir.value;
		
	}

	function install_prefix_oC(f)
	{

		if (f.install_type[0].checked){
			f.install_prefix.value = ".";
			f.install_dir.disabled = true;
		}

		if (f.install_type[1].checked) {
			f.install_prefix.value = f.install_dir.value
			if ((f.install_prefix.value == ".") || (!f.install_prefix.value))
				f.install_prefix.value = "<?=htmlspecialchars(sapp_get_install_prefix())?>";
			f.install_dir.disabled = false;
			f.install_dir.value = f.install_prefix.value;
			f.install_dir.focus();
			f.install_dir.select();
		}
		
		if (f.install_dir.value == "."){
			f.install_dir.value = "";
		}
	}
	
-->
</script>

<? 
	$document_root_available = false;
	if (function_exists('sapp_check_install_prefix')){
		$ret = sapp_check_install_prefix(SITEAPP_PREFIX_ROOT);
		if (in_array($ret, array(SITEAPP_DIR_NOT_EXISTS, SITEAPP_DIR_USED_BY_UNKNOWN))){
			$document_root_available = true;
		}
	}
	$in_document_root = ($document_root_available && (sapp_get_install_prefix() == ".")) ? true : false;
?>	

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">
	<!-- Https support section -->
	
	<? if (sapp_is_ssl_avaible()): ?>
	
	<tr <?=sapp_is_wrong('ssl') ? 'class="error"' : ''?>>
	        <td class="name"><?=msg('ssl')?>&nbsp;<?=REQ?></td>
	        <td>
	                <SELECT name="ssl">
	                        <OPTION value="false" <?=sapp_get_param('ssl')=='http' ? 'SELECTED':''?>><?=msg('ssl_off');?></OPTION>
	                        <OPTION value="true"  <?=sapp_get_param('ssl')=='https' ? 'SELECTED':''?>><?=msg('ssl_on');?></OPTION>
	                </SELECT>
	                <span class="hint"><?=sapp_is_wrong('ssl') ? sapp_get_wrong('ssl') : ''?></span>
	        </td>
	</tr>
	
	<? endif; ?>
	
	<!-- End of https support section -->

	<tr <?=((!$document_root_available || $in_document_root) && sapp_is_wrong('install_prefix')) ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?=msg('install_prefix')?> <?=REQ?></label></td>
<? if ($document_root_available): ?>	
	<td>
		<input type="radio" name="install_type" id="fid-install_type_std" value="." onclick="install_prefix_oC(this.form);" <?=$in_document_root ? 'checked' : '' ?>> <label for="fid-install_type_std"><?=msg('prefix_document_root');?></label>
		<span class="hint"><?=($in_document_root && sapp_is_wrong('install_prefix')) ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
	</tr>
	<tr <?=(!$in_document_root && sapp_is_wrong('install_prefix')) ? 'class="error"' : ''?>>
	<td><td>
	<input type="radio" name="install_type" id="fid-install_type_other" onclick="install_prefix_oC(this.form);" <?=!$in_document_root ? 'checked' : '' ?>> <label for="fid-install_type_other"><?=msg('prefix_other');?></label> 
<? else: ?>
	<td>
<? endif; ?>	
	<input type="text" name="install_dir" id="fid-install_dir" value="<?= $in_document_root ? "" : htmlspecialchars(sapp_get_install_prefix())?>" onchange="install_prefix_cH(this.form);" <?=($in_document_root)?"disabled":''?>>
	<input type="hidden" name="install_prefix" id="fid-install_prefix" value="<?=htmlspecialchars(sapp_get_install_prefix())?>">
	<span class="hint"><?=(!$in_document_root && sapp_is_wrong('install_prefix')) ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>
</table>

</fieldset>



<fieldset>
	<legend><?=msg('mail_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr>
	<td class="name">
			<div class="msgWarning"><img src="/skins/winxp.new.compact/icons/warning.gif" width="16" height="16"><div><?=msg('safe_mode_label')?>
	</td>
	<td> 
		<div class="msgWarning"><?=msg('safe_mode')?></div>
	</td>
</tr>


<tr <?=sapp_is_wrong('smtp_server') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-smtp_server"><?=msg('smtp_server')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="smtp_server" id="fid-smtp_server" value="<?=htmlspecialchars(sapp_get_param('smtp_server'))?>">
		<span class="hint"><?=sapp_is_wrong('smtp_server') ? sapp_get_wrong('smtp_server') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('smtp_auth') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-smtp_server"><?=msg('smtp_auth')?></label></td>
	<td>
		<input type="checkbox" name="smtp_auth" id="fid-smtp_auth" value="yes" <?=sapp_get_param('smtp_auth')=='yes'?'CHECKED':''?>>
		<span class="hint"><?=sapp_is_wrong('smtp_auth') ? sapp_get_wrong('smtp_auth') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('mail_domain') ? 'class="error"' : ''?>>
        <td class="name"><label for="fid-mail_domain"><?=msg('mail_domain')?> <?=sapp_get_param('mail_domain') ? '' : REQ?></label></td>
        <td>
                <input type="text" name="mail_domain" id="fid-mail_domain" value="<?=htmlspecialchars(sapp_get_domain_name())?>">
                <span class="hint"><?=sapp_is_wrong('mail_domain') ? sapp_get_wrong('mail_domain') : ''?></span>
        </td>
</tr>

<tr <?=sapp_is_wrong('mail_domain_server') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-mail_domain_server"><?=msg('mail_domain_server')?> <?=htmlspecialchars(sapp_get_domain_name()) ? '' : REQ?></label></td>
	<td>
		<input type="text" name="mail_domain_server" id="fid-mail_domain_server" value="<?=htmlspecialchars(sapp_get_domain_name())?>">
		<span class="hint"><?=sapp_is_wrong('mail_domain_server') ? sapp_get_wrong('mail_domain_server') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('mail_login') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-mail_login"><?=msg('mail_login')?> <?=sapp_get_param('mail_login') ? '' : REQ?></label></td>
	<td>
		<SELECT name="mail_login" id="fid-mail_login">
			<? $mail_login = sapp_get_param('mail_login') ?>
				<option value="%user%" <?= ($mail_login == '%user%') ? ' SELECTED' : '' ?>>%user%</option>
				<option value="%user%@%domain%" <?= ($mail_login == '%user%@%domain%') ? ' SELECTED' : '' ?>>%user%@%domain%</option>
		</SELECT>
		<span class="hint"><?=sapp_is_wrong('mail_login') ? sapp_get_wrong('mail_login') : ''?></span>
	</td>
</tr>


</table>

</fieldset>